View Issue Details

IDProjectCategoryView StatusLast Update
0001121Main CAcert Websitemy accountpublic2013-11-03 21:26
ReporterINOPIAEAssigned ToNEOatNHNG 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2012 Q4 
Target Version2013 Q2Fixed in Version2013 Q2 
Summary0001121: Record the CCA acception for the account creation
DescriptionMake sure that the acception of the CCA is recorded in the database for account creation.
TagsNo tags attached.
Reviewed bydastrath, BenBE
Test Instructions

Relationships

related to 0001122 closed Main CAcert Website Give Support the chance to see when the first and the last CCA acception took place 
related to 0001123 closedBenBE Main CAcert Website Add the Check CCA acception to all certificate creation processes 
related to 0000708 closedSourcerer Main CAcert Website CCA checkbox doesn't work, no registration possible 
related to 0000706 closedSourcerer Test1.cacert.at No need to check CCA when joining CAcert 
related to 0000590 closedUli60 Main CAcert Website Join procedure must get Agreement to CCA 
related to 0000589 closedINOPIAE Main CAcert Website Replace old "agreement" on new certificate page with checkbox agree to CCA 
related to 0000541 closed Blog Use other Logo, without the "Free digital certificates for everyone" slogan 
related to 0000506 closedteus Main CAcert Website CCA agreement marking check on assurance page 
related to 0000504 closedteus Main CAcert Website CCA agreement in CAP/COAP forms 
child of 0000505 closedINOPIAE Main CAcert Website CCA agree mark 

Activities

INOPIAE

2012-12-13 06:32

updater   ~0003429

pushed fix to https://github.com/INOPIAE/CAcert/tree/bug-1121

INOPIAE

2013-01-08 08:20

updater   ~0003603

Create new account.
Works. see also bug 1122

Werner Dworak

2013-01-08 17:07

updater   ~0003609

Created new account. In SE console is a new line "CCA accepted:" with Yes

It works.

Uli60

2013-01-08 22:22

updater   ~0003622

create new user account
Bug1121.1.user1@w.d
verified email (under TMS)

user2
Bug1121.user2@w.d
not verified email

INOPIAE

2013-01-09 13:46

updater   ~0003630

three tests available. Please review

BenBE

2013-04-17 06:13

updater   ~0003899

2nd review by dastrath ok.

Remark dastrath: When building upon this the remove function should be rewritten to just tag deleted records, but is fine for now.

NEOatNHNG

2013-05-14 23:45

administrator   ~0004002

Mail sent to critical admins after resolving 1 conflict

wytze

2013-05-15 09:44

developer   ~0004004

The patch has been applied to the production server on May 15, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-05/msg00008.html

Uli60

2013-07-30 23:31

updater   ~0004203

still works
full test series
https://bugs.cacert.org/view.php?id=893#c4187 [^]
and https://bugs.cacert.org/view.php?id=893#c4189 [^]
join

Issue History

Date Modified Username Field Change
2012-12-12 13:03 INOPIAE New Issue
2012-12-12 13:03 INOPIAE Assigned To => INOPIAE
2012-12-12 13:03 INOPIAE Relationship added child of 0000505
2012-12-12 13:03 INOPIAE Status new => needs work
2012-12-13 06:32 INOPIAE Note Added: 0003429
2012-12-13 06:32 INOPIAE Assigned To INOPIAE => BenBE
2012-12-13 06:32 INOPIAE Status needs work => fix available
2012-12-27 19:13 Werner Dworak Relationship added related to 0001122
2012-12-27 19:13 Werner Dworak Relationship added related to 0001123
2012-12-27 19:18 Werner Dworak Relationship added related to 0000708
2012-12-27 19:19 Werner Dworak Relationship added related to 0000706
2012-12-27 19:20 Werner Dworak Relationship added related to 0000590
2012-12-27 19:22 Werner Dworak Relationship added related to 0000589
2012-12-27 19:24 Werner Dworak Relationship added related to 0000541
2012-12-27 19:27 Werner Dworak Relationship added related to 0000506
2012-12-27 19:28 Werner Dworak Relationship added related to 0000504
2013-01-06 22:11 BenBE Reviewed by => BenBE
2013-01-06 22:11 BenBE Assigned To BenBE => NEOatNHNG
2013-01-06 22:15 INOPIAE Summary Record the CCA acception for the account creation and the assurance entering => Record the CCA acception for the account creation
2013-01-06 22:15 INOPIAE Description Updated View Revisions
2013-01-06 23:59 BenBE Status fix available => needs review & testing
2013-01-08 08:20 INOPIAE Note Added: 0003603
2013-01-08 17:07 Werner Dworak Note Added: 0003609
2013-01-08 22:22 Uli60 Note Added: 0003622
2013-01-09 13:46 INOPIAE Note Added: 0003630
2013-01-09 13:46 INOPIAE Status needs review & testing => needs review
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable cbeb295e
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 23310b1c
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable b550a6cf
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 92f5521f
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 774b4d67
2013-04-17 06:13 BenBE Reviewed by BenBE => dastrath, BenBE
2013-04-17 06:13 BenBE Note Added: 0003899
2013-04-17 06:13 BenBE Status needs review => ready to deploy
2013-04-17 06:13 BenBE Product Version => 2012 Q4
2013-04-17 06:13 BenBE Target Version => 2013 Q2
2013-05-14 23:25 NEOatNHNG Source_changeset_attached => cacert-devel release bb07ff8c
2013-05-14 23:45 NEOatNHNG Note Added: 0004002
2013-05-15 09:44 wytze Note Added: 0004004
2013-05-15 09:44 wytze Status ready to deploy => solved?
2013-05-15 09:44 wytze Fixed in Version => 2013 Q2
2013-05-15 09:44 wytze Resolution open => fixed
2013-07-30 23:31 Uli60 Note Added: 0004203
2013-11-03 21:26 INOPIAE Status solved? => closed